aboutsummaryrefslogtreecommitdiffstats
path: root/meta-oe/recipes-support/libgpiod/libgpiod-1.x/run-ptest
diff options
context:
space:
mode:
Diffstat (limited to 'meta-oe/recipes-support/libgpiod/libgpiod-1.x/run-ptest')
-rw-r--r--meta-oe/recipes-support/libgpiod/libgpiod-1.x/run-ptest19
1 files changed, 19 insertions, 0 deletions
diff --git a/meta-oe/recipes-support/libgpiod/libgpiod-1.x/run-ptest b/meta-oe/recipes-support/libgpiod/libgpiod-1.x/run-ptest
new file mode 100644
index 0000000000..61b9b69fc6
--- /dev/null
+++ b/meta-oe/recipes-support/libgpiod/libgpiod-1.x/run-ptest
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+testbins="gpiod-test gpio-tools-test gpiod-cxx-test gpiod_py_test.py"
+
+ptestdir=$(dirname "$(readlink -f "$0")")
+cd $ptestdir/tests
+
+for testbin in $testbins; do
+ if test -e ./$testbin; then
+ ./$testbin > ./$testbin.out 2>&1
+ if [ $? -ne 0 ]; then
+ echo "FAIL: $testbin"
+ else
+ echo "PASS: $testbin"
+ fi
+ else
+ echo "SKIP: $testbin"
+ fi
+done